'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _rollupPluginBabelHelpers = require('./_rollupPluginBabelHelpers-7e0b0dd1.js');
var emotion = require('emotion');
var fade = require('reakit-system-palette/utils/fade');
var palette = require('reakit-system-palette/utils/palette');

function _templateObject2() {
  var data = _rollupPluginBabelHelpers._taggedTemplateLiteralLoose(["\n    display: flex;\n    flex-direction: row;\n    border: 1px solid ", ";\n    border-width: 0 0 1px 0;\n    margin: 0 0 1em 0;\n\n    &[aria-orientation=\"vertical\"] {\n      flex-direction: column;\n      border-width: 0 1px 0 0;\n      margin: 0 1em 0 0;\n    }\n  "]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _rollupPluginBabelHelpers._taggedTemplateLiteralLoose(["\n    background-color: transparent;\n    border: 1px solid transparent;\n    border-width: 1px 1px 0 1px;\n    border-radius: 0.25rem 0.25rem 0 0;\n    font-size: 100%;\n    padding: 0.5em 1em;\n    margin: 0 0 -1px 0;\n\n    &[aria-selected=\"true\"] {\n      background-color: ", ";\n      border-color: ", ";\n    }\n\n    [aria-orientation=\"vertical\"] & {\n      border-width: 1px 0 1px 1px;\n      border-radius: 0.2em 0 0 0.2em;\n      margin: 0 -1px 0 0;\n    }\n  "]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}
function useTabProps(_, htmlProps) {
  if (htmlProps === void 0) {
    htmlProps = {};
  }

  var background = palette.usePalette("background") || "white";
  var foreground = palette.usePalette("foreground") || "black";
  var borderColor = fade.useFade(foreground, 0.75);
  var tab = emotion.css(_templateObject(), background, borderColor);
  return _rollupPluginBabelHelpers._objectSpread2({}, htmlProps, {
    className: emotion.cx(tab, htmlProps.className)
  });
}
function useTabListProps(_, htmlProps) {
  if (htmlProps === void 0) {
    htmlProps = {};
  }

  var foreground = palette.usePalette("foreground") || "black";
  var borderColor = fade.useFade(foreground, 0.75);
  var tabList = emotion.css(_templateObject2(), borderColor);
  return _rollupPluginBabelHelpers._objectSpread2({}, htmlProps, {
    className: emotion.cx(tabList, htmlProps.className)
  });
}

exports.useTabListProps = useTabListProps;
exports.useTabProps = useTabProps;
