'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _rollupPluginBabelHelpers = require('./_rollupPluginBabelHelpers-7e0b0dd1.js');
var emotion = require('emotion');
var Box = require('reakit-system-palette/Box');
var fade = require('reakit-system-palette/utils/fade');

function _templateObject() {
  var data = _rollupPluginBabelHelpers._taggedTemplateLiteralLoose(["\n    background-color: ", ";\n    font-size: 0.8em;\n    padding: 0.5rem;\n    border-radius: 0.25rem;\n    z-index: 999;\n\n    & > .arrow {\n      background-color: transparent;\n      & .stroke {\n        fill: transparent;\n      }\n      & .fill {\n        fill: ", ";\n      }\n    }\n  "]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}
function useTooltipOptions(_ref) {
  var _ref$unstable_system = _ref.unstable_system;
  _ref$unstable_system = _ref$unstable_system === void 0 ? {} : _ref$unstable_system;

  var _ref$unstable_system$ = _ref$unstable_system.palette,
      palette = _ref$unstable_system$ === void 0 ? "foreground" : _ref$unstable_system$,
      _ref$unstable_system$2 = _ref$unstable_system.fill,
      fill = _ref$unstable_system$2 === void 0 ? "opaque" : _ref$unstable_system$2,
      system = _rollupPluginBabelHelpers._objectWithoutPropertiesLoose(_ref$unstable_system, ["palette", "fill"]),
      options = _rollupPluginBabelHelpers._objectWithoutPropertiesLoose(_ref, ["unstable_system"]);

  return _rollupPluginBabelHelpers._objectSpread2({
    unstable_system: _rollupPluginBabelHelpers._objectSpread2({
      palette: palette,
      fill: fill
    }, system)
  }, options);
}
function useTooltipProps(_ref2, htmlProps) {
  var unstable_system = _ref2.unstable_system;

  if (htmlProps === void 0) {
    htmlProps = {};
  }

  var _usePaletteBoxProps = Box.useBoxProps({
    unstable_system: unstable_system
  }),
      backgroundColor = _usePaletteBoxProps.style.backgroundColor;

  var fadeBackgroundColor = fade.useFade(backgroundColor || "black", 0.1);
  var tooltip = emotion.css(_templateObject(), fadeBackgroundColor, fadeBackgroundColor);
  return _rollupPluginBabelHelpers._objectSpread2({}, htmlProps, {
    className: emotion.cx(tooltip, htmlProps.className)
  });
}

exports.useTooltipOptions = useTooltipOptions;
exports.useTooltipProps = useTooltipProps;
